#header
{
	--min_header_logo: 188;
	--max_header_logo: 240;
	--header_logo:
		clamp(calc(var(--min_header_logo) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_header_logo) - var(--min_header_logo)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_header_logo)) * 1px)
		+ ((var(--max_header_logo) - var(--min_header_logo)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_header_logo) * 1px));
	width: 100%;
	margin-right: auto;
	margin-left: auto;
	height: var(--global_header_height);
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	z-index: 9000;
	padding-left: var(--global_padding);
	padding-right: var(--global_padding);
	padding-left: var(--global_size_40);
	padding-right: var(--global_size_40);
	transition: transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1),
				height 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, /* ... 0.2s */
				box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1),
				background-color 0.3s cubic-bezier(0.215, 0.61, 0.355, 1),
				border 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
	background-color: var(--root_color_white);
	display: flex;
/*	border-bottom: 1px solid #e5e5e5; */
}

.is_header_transparent_active #header
{
	background-color: transparent;
	transition: all 0.15s cubic-bezier(0.215, 0.61, 0.355, 1);
}

#header::before
{
	content: '';
	display: block;
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	transition: var(--global_transition);
/*	background-color: var(--root_color_white); */
	z-index: -1;
	opacity: 0;
}

#header::after
{
	content: '';
	display: block;
	position: absolute;
	width: 100%;
	height: 1px;
	bottom: 0;
	left: 0;
	transition: var(--global_transition);
	background-color: #e5e5e5;
	pointer-events: none;
}

.is_header_transparent_active #header::after
{
	opacity: 0.2;
}

#header.header_scroll
{
	height: var(--global_header_height_scroll);
/*	transform: translateY(calc(var(--global_header_height_scroll) * -1)); */
/*	box-shadow: 0 0 0 0 rgba(0, 0, 0, 0); */
	background-color: var(--root_color_white);
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}

#header.header_scroll::before
{
	opacity: 1;
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0.2s;
}

#header.header_scroll_up
{
	height: var(--global_header_height_scroll);
/*	transform: translateY(calc(var(--global_header_height) * -1)); */
/*	box-shadow: 0 0 0 0 rgba(0, 0, 0, 0); */
background-color: var(--root_color_white);
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}

#header.header_scroll_up::before
{
	opacity: 1;
}

#header_contener
{
	width: 100%;
	margin-right: auto;
	margin-left: auto;
	max-width: var(--global_size_header);
	display: flex;
	align-items: center;
	justify-content: space-between;
/*	position: relative; */
}

/* #header_contener a
{
	color: var(--root_color_dark);
}

#header_contener a:hover
{
	color: var(--root_color_lead);
} */

#header_logo
{
/*	--min_header_logo: 188;
	--max_header_logo: 240;
	--header_logo:
		clamp(calc(var(--min_header_logo) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_header_logo) - var(--min_header_logo)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_header_logo)) * 1px)
		+ ((var(--max_header_logo) - var(--min_header_logo)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_header_logo) * 1px)); */
	min-width: var(--header_logo);
	width: var(--header_logo);
/*	transition: transform 0.2s cubic-bezier(0.215, 0.61, 0.355, 1),
		width 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0.2s,
		min-width 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0.2s; */
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
	position: relative;
	z-index: 9002;
	display: block;
/*	mix-blend-mode: multiply; */
}

#header.header_scroll #header_logo,
#header.header_scroll_up #header_logo
{
/*	min-width: 100px;
	width: 100px; */
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}

#header.header_scroll #header_logo path,
#header.header_scroll_up #header_logo path
{
/*	fill: var(--root_color_lead); */
}

#header_logo:active 
{
/*	transform: scale(0.95, 0.95); */
}

.is_header_transparent_active #header_logo *
{
	fill: var(--root_color_white);
}

.is_header_transparent_active #header_logo .symbol
{
	fill: var(--root_color_lead);
}

#header_navigation
{
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
/*	z-index: 9003; */
	align-self: stretch;
}

#header_navigation > *
{
	margin-right: var(--global_size_30);
}

#header_navigation > :first-child
{
	margin-left: calc(var(--global_size_60) - 16px);
}

#header_navigation > *:last-child
{
	margin-right: 0
}

#header .line
{
	height: 2px;
	background-color: black;
	flex-grow: 1;
	flex-shrink: 1;
	flex-basis: auto;
}

#header .global_button.desktop
{
	--global_button_color: var(--root_color_dark);
	--global_button_background_color: transparent;
	--global_button_color_h: var(--root_color_dark);
	--global_button_background_color_h: transparent;
	margin-left: auto;
	padding: 0;
}

#header .global_button::before
{
	font-family: 'msolowski';
	content: '\e909';
	margin-right: 5px;
}

.is_header_transparent_active #header .global_button
{
	--global_button_color: var(--root_color_white);
}

#header .global_button.mobile
{
	--global_button_color: var(--root_color_dark);
	--global_button_background_color: transparent;
	--global_button_color_h: var(--root_color_white);
	--global_button_background_color_h: var(--root_color_dark);
	--global_button_border_color_h: var(--root_color_dark);
	--global_button_border_width: 1px;

	margin: 20px 20px 20px 20px;
	display: flex;
	position: relative;
	overflow: visible;
}

#header .global_button.mobile::after
{
	content: '';
	display: block;
	position: absolute;
	width: calc(100vw - (var(--global_padding) + var(--global_padding) + 26px));
	height: 1px;
	top: -21px;
	left: -20px;
	transition: var(--global_transition);
	background-color: #e5e5e5;
	pointer-events: none;
}

/**********************************************************************************/

@media screen and (max-width: 1680px)
{
}

@media screen and (max-width: 1600px)
{
}

@media screen and (max-width: 1440px)
{
}

@media screen and (max-width: 1366px)
{
	#header .line
	{
		margin-left: var(--global_size_30);
	}
}

@media screen and (max-width: 1300px)
{
}

@media screen and (max-width: 1200px)
{
}

@media screen and (max-width: 1024px)
{
	#header
	{
		padding-left: var(--global_padding);
		padding-right: var(--global_padding);
	}
}

@media screen and (max-width: 800px)
{
}

@media screen and (max-width: 640px)
{
	#header_navigation
	{
		justify-content: flex-end;
	}
}

@media screen and (max-width: 480px)
{
}

@media screen and (max-width: 360px)
{
}